require 'mxx_ru/cpp'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Lib_target.new( "cls_2/prj.rb" ) {
		target( "lib/cls.2.7.0" )

		cpp_source( "cls.cpp" )
		cpp_source( "lex.cpp" )
		cpp_source( "_parser.cpp" )
		cpp_source( "is_file.cpp" )
		cpp_source( "es_file_line_num.cpp" )
		cpp_source( "es_tag_stack.cpp" )
		cpp_source( "def_msg_storage.cpp" )

		cpp_source( "_check_digits.cpp" )

		cpp_source( "tag_no_value.cpp" )
		cpp_source( "tag_text.cpp" )
		cpp_source( "tag_by_factory.cpp" )

		cpp_source( "to_cls_format.cpp" )

		sources_root( "scalar" ) {
			cpp_source( "nonspace_format.cpp" )
		}

		sources_root( "std_cpp" ) {
			cpp_source( "std_cpp_is_ios.cpp" )
			cpp_source( "std_cpp_es_ios.cpp" )
			cpp_source( "es_ostringstream.cpp" )
			cpp_source( "utils.cpp" )
		}
	}
)
